<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/

namespace app\api\controller\store;

use app\api\controller\store\StoreBase;
use think\Db;


class Dealer extends StoreBase
{
    protected $noNeedLogin = [];
    protected $noNeedRight = ['*'];
    
    public $model = null;
    public function _initialize(){
        parent::_initialize();
        $this->model = new \app\common\model\bbfxshop\Store;
    }
    
    public function info(){
        
    }
    
    public function getStoreList(){
        if(empty($this->dealer_store)){
            __error("暂无代理门店");
        }
        
        $list = $this->dealer_store;
        
        foreach ($list as $key => &$val){
            $val['logo'] = cdnurl($val['logo']);
        }
        unset($val);
        
        __success("操作成功",$list);
    }
}